Subject: Re: [6tisch] Ben Campbell's No Objection on draft-ietf-6tisch-minimal-20: (with COMMENT)

From: Xavi Vilajosana Guillen <[email-masked]>
Date: Mon, 20 Feb 2017 11:08:52 +0100

Dear Ben,

I am preparing answers for your comments. I will respond asap.

kind regards,
Xavi

2017-02-16 4:08 GMT+01:00 Ben Campbell <[email-masked]>:

> Ben Campbell has entered the following ballot position for
> draft-ietf-6tisch-minimal-20: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-6tisch-minimal/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> - Substantive Comments
>
> -- Section 4, 2nd paragraph, "A node MAY use different values": Is that
> intended to weaken the RECOMMENDED in the previous sentence? (If not,
> then is the MAY needed at all?)
>
> -- 4.5.1, first 3 paragraphs: Why are the SHOULDs not MUSTs? Can you
> articulate why it might be reasonable to make other choices?
>
> -- 4.5.2, 3rd paragraph, "It MAY be necessary..."
> That seems like a statement of fact. Please consider non-2119 language.
>
> --- 4th paragraph: It's not clear to me if the MUST in "MUST be sent as
> per the 802.15.4 specification..." is constraining options from that
> specification, or just referring to requirements that exists in that
> specification. If the latter, please consider descriptive rather than
> normative language. (e.g. "The 802.15.4 specification requires...."
>
> -- 6.1, 3rd paragraph: Why is the SHOULD not a MUST? When might it make
> sense not to follow those rules?
>
>
> - Editorial Comments
>
> -- Abstract: Please expand 6TICH on first mention
>
>
>

-- 
Dr. Xavier Vilajosana
Wireless Networks Lab

*Internet Interdisciplinary Institute (IN3)Professor*
(+34) 646 633 681
[email-masked] <[email-masked]>
http://xvilajosana.org
http://wine.rdi.uoc.edu
Parc Mediterrani de la Tecnologia
Av Carl Friedrich Gauss 5, B3 Building
08860 Castelldefels (Barcelona). Catalonia. Spain

---

From: Xavi Vilajosana Guillen <[email-masked]>
Date: Mon, 20 Feb 2017 17:00:41 +0100

Dear Ben,

see inline the responses to your comments. Thanks so much for the review.
We will post a new version with the responses to your comments later today.

----

- Substantive Comments

----------------------------------------------------------------------
ANSWER:
The sentence has been removed.

ANSWER:

The 2 first SHOULD have been changed to MUST. The last SHOULD is kept as
SHOULD as the PANID compression fields have different valid configurations
that SHOULD be supported.

ANSWER:

The sentence has been reworded as:
"During the joining process, before secure connections to time parents have
been created, a node MAY maintain synchronization using EBs."

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------
--- 4th paragraph: It's not clear to me if the MUST in "MUST be sent as
per the 802.15.4 specification..." is constraining options from that
specification, or just referring to requirements that exists in that
specification. If the latter, please consider descriptive rather than
normative language. (e.g. "The 802.15.4 specification requires...."
----------------------------------------------------------------------
ANSWER:
The text has been rephrased:
The IEEE Std 802.15.4 specification requires EBs to be send in order to
enable nodes to join the network. The EBs SHOULD carry the Information
Elements (IEs) listed below"

ANSWER:

SHOULD has been changed by a MUST. We though in supporting other mechanisms
at some point.

ANSWER:

Thanks, this has been corrected.

2017-02-20 11:08 GMT+01:00 Xavi Vilajosana Guillen <[email-masked]>:

> (+34) 646 633 681 <+34%20646%2063%2036%2081>

-- 
Dr. Xavier Vilajosana
Wireless Networks Lab